<?php
/* ----------------------------------------------------------------------------
 *    条件式の分岐：三項演算子による分岐の例
 *
 *  作成： 2015.08.07 yoshi of CXMedia Inc.
 * --------------------------------------------------------------------------- */
header("Content-type:text/plain; charset=UTF-8");

// 誕生日のセット
$birthday = '1960-8-12';
// 誕生日から年齢を計算：タイムスタンプに変換して西暦年で差し引く
// date('YY',xxx)は、xxxのタイムスタンプから4桁西暦年を得る
// time()関数は、今日の日付をタイムスタンプ
// strtotime()関数は、日付形式をタイムスタンプに変換
$age = date('Y',time()) - date('Y',strtotime($birthday));

// 年齢から年齢層を区別する三項演算子による条件分岐で設定
$kbn = ($age < 20)? "未成年" : ( ($age >= 65)? "高齢者" : "成人");
echo $age,'歳は',$kbn,"\n";
?>
